## python-bytecode 0.13.0

=== doc/requirements.txt ===
sphinx-tabs
sphinx_rtd_theme

=== debian/changelog ===
python-bytecode (0.13.0-2) unstable; urgency=medium

  * Source-only upload

 -- Julian Gilbey <jdg@debian.org>  Sun, 26 Jun 2022 18:22:38 +0100

python-bytecode (0.13.0-1) unstable; urgency=medium

  * Initial release (Closes: #1005267)

 -- Julian Gilbey <jdg@debian.org>  Sun, 26 Jun 2022 10:52:55 +0100

=== debian/control ===
Source: python-bytecode
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Julian Gilbey <jdg@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-pytest,
               python3-setuptools,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               python3-sphinx-tabs <!nodoc>
Standards-Version: 4.6.1
Homepage: https://github.com/MatthieuDartiailh/bytecode
Vcs-Git: https://salsa.debian.org/python-team/packages/python-bytecode.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-bytecode
Rules-Requires-Root: no

Package: python3-bytecode
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python-bytecode-doc
Description: Python module to generate, modify and optimize Python bytecode
 The bytecode module can be used to write Python bytecode directly and
 then convert it into an executable Python code object.  It also provides a
 pure Python implementation of the Peephole Optimizer introduced in
 CPython 3.6.
 .
 This module is patched to be compatible with python3-pydevd, but this
 should be transparent to other users.

Package: python-bytecode-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Recommends: python3-bytecode
Description: Python module to generate, modify and optimize Python bytecode (documentation)
 The bytecode module can be used to write Python bytecode directly and
 then convert it into an executable Python code object.  It also provides a
 pure Python implementation of the Peephole Optimizer introduced in
 CPython 3.6.
 .
 This package contains the bytecode documentation in HTML format.
Build-Profiles: <!nodoc>

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=bytecode

export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS=-k "not test_version"

ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_build:
	PYTHONPATH=$(CURDIR) $(MAKE) -C doc SPHINXBUILD=sphinx-build html

execute_after_dh_auto_clean:
	$(MAKE) -C doc SPHINXBUILD=sphinx-build clean

override_dh_installdocs:
	dh_installdocs -ppython-bytecode-doc --doc-main-package=python3-bytecode
	dh_installdocs --remaining-packages

else
%:
	dh $@ --buildsystem=pybuild
endif

override_dh_compress:
	dh_compress -O--buildsystem=pybuild -Xchangelog.html

execute_after_dh_clean:
	rm -rf bytecode.egg-info doc/build

## python-bytecode 0.14.0

=== debian/changelog ===
python-bytecode (0.14.0-2) unstable; urgency=medium

  * Team upload.
  * Fix offset patch
  * Add Multi-Arch according to MA hinter
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 19 Dec 2022 15:27:41 +0100

python-bytecode (0.14.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.14.0 (Closes: #1025026)
  * Remove note from d/copyright (fixed upstream)
  * Rebase patches
  * Add pybuild testsuite
  * Move package description to source package
  * Use dh-sequence-sphinxdoc
  * Add patch for doc generation
  * Use d/clean
  * Use pyproject and setuptools-scm

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 14 Dec 2022 21:11:40 +0100

=== debian/control ===
Source: python-bytecode
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Julian Gilbey <jdg@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               dh-sequence-sphinxdoc <!nodoc>,
               pybuild-plugin-pyproject,
               python3-all,
               python3-pytest,
               python3-setuptools,
               python3-setuptools-scm,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               python3-sphinx-tabs <!nodoc>
Standards-Version: 4.6.2
Homepage: https://github.com/MatthieuDartiailh/bytecode
Vcs-Git: https://salsa.debian.org/python-team/packages/python-bytecode.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-bytecode
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-pybuild
Description: Python module to generate, modify and optimize Python bytecode
 The bytecode module can be used to write Python bytecode directly and
 then convert it into an executable Python code object.  It also provides a
 pure Python implementation of the Peephole Optimizer introduced in
 CPython 3.6.

Package: python3-bytecode
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python-bytecode-doc
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This module is patched to be compatible with python3-pydevd, but this
 should be transparent to other users.

Package: python-bytecode-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Recommends: python3-bytecode
Description: ${source:Synopsis} (documentation)
 ${source:Extended-Description}
 .
 This package contains the bytecode documentation in HTML format.
Build-Profiles: <!nodoc>

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export SETUPTOOLS_SCM_PRETEND_VERSION = $(VERSION_UPSTREAM)

export PYBUILD_NAME=bytecode

export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS=-k "not test_version"

%:
	dh $@ --buildsystem=pybuild

ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
execute_after_dh_auto_build:
	PYTHONPATH=$(CURDIR) $(MAKE) -C doc SPHINXBUILD=sphinx-build html

execute_after_dh_auto_clean:
	$(MAKE) -C doc SPHINXBUILD=sphinx-build clean

override_dh_installdocs:
	dh_installdocs -ppython-bytecode-doc --doc-main-package=python3-bytecode
	dh_installdocs --remaining-packages
endif

override_dh_compress:
	dh_compress -O--buildsystem=pybuild -Xchangelog.html

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/python-bytecode-$1\.tar\.gz/ \
  https://github.com/MatthieuDartiailh/bytecode/tags .*/v?(\d\S+)\.tar\.gz

## python-bytecode 0.14.2

=== debian/changelog ===
python-bytecode (0.14.2-1) unstable; urgency=medium

  * New upstream version

 -- Julian Gilbey <jdg@debian.org>  Fri, 23 Jun 2023 06:30:22 +0100

## python-bytecode 0.15.1

=== debian/changelog ===
python-bytecode (0.15.1-3) unstable; urgency=medium

  * Fix autopkgtest calling (closes: #1059334); this requires moving away
    from pybuild-autopkgtest to manually calling pytest (see #1059529).

 -- Julian Gilbey <jdg@debian.org>  Wed, 27 Dec 2023 19:04:12 +0000

python-bytecode (0.15.1-2) unstable; urgency=medium

  * No longer exclude test_version from tests as it is removed upstream
  * Patch failing test on armhf - addresses #1056460 but does not fix it,
    as the cause is still unknown

 -- Julian Gilbey <jdg@debian.org>  Thu, 21 Dec 2023 13:10:02 +0000

python-bytecode (0.15.1-1) unstable; urgency=medium

  * New upstream version 0.15.1
  * INTRINSIC patch now incorporated upstream

 -- Julian Gilbey <jdg@debian.org>  Fri, 13 Oct 2023 12:09:46 +0100

python-bytecode (0.15.0-1) unstable; urgency=medium

  * New upstream version 0.15.0
  * Add patch to fix spelling of "INTRINSIC"

 -- Julian Gilbey <jdg@debian.org>  Thu, 12 Oct 2023 17:23:45 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-sequence-sphinxdoc <!nodoc>,
                pybuild-plugin-pyproject,
                python3-all,
-               python3-pytest,
+               python3-pytest <!nocheck>,
                python3-setuptools,
                python3-setuptools-scm,
                python3-sphinx <!nodoc>,
@@ -19,7 +19,6 @@
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-bytecode.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-bytecode
 Rules-Requires-Root: no
-Testsuite: autopkgtest-pkg-pybuild
 Description: Python module to generate, modify and optimize Python bytecode
  The bytecode module can be used to write Python bytecode directly and
  then convert it into an executable Python code object.  It also provides a

=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,13 @@
 #!/usr/bin/make -f
 
 include /usr/share/dpkg/pkg-info.mk
+include /usr/share/dpkg/architecture.mk
 
 export SETUPTOOLS_SCM_PRETEND_VERSION = $(VERSION_UPSTREAM)
 
 export PYBUILD_NAME=bytecode
 
 export PYBUILD_TEST_PYTEST=1
-export PYBUILD_TEST_ARGS=-k "not test_version"
 
 %:
 	dh $@ --buildsystem=pybuild
@@ -24,5 +24,16 @@
 	dh_installdocs --remaining-packages
 endif
 
+# armhf fails strangely; see https://bugs.debian.org/1056460
+ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
+ifeq ($(DEB_BUILD_ARCH),armhf)
+execute_before_dh_auto_test:
+	patch -p1 < debian/armhf.patch
+
+execute_after_dh_auto_test:
+	patch -p1 -R < debian/armhf.patch
+endif
+endif
+
 override_dh_compress:
 	dh_compress -O--buildsystem=pybuild -Xchangelog.html

## python-bytecode 0.16.1

=== debian/changelog ===
python-bytecode (0.16.1-2) unstable; urgency=medium

  * Team upload.
  * Source-only reupload.

 -- Colin Watson <cjwatson@debian.org>  Thu, 06 Mar 2025 22:00:30 +0000

python-bytecode (0.16.1-1) unstable; urgency=medium

  * New upstream version (closes: #1082200)

 -- Julian Gilbey <jdg@debian.org>  Thu, 20 Feb 2025 22:22:47 +0000

## python-bytecode 0.16.2

=== debian/changelog ===
python-bytecode (0.16.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Wed, 13 Aug 2025 11:13:08 +0100

## python-bytecode 0.17.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/bytecode.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/bytecode.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/bytecode"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/bytecode"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== doc/requirements.txt ===
sphinx>=4
sphinx-rtd-theme>=1
sphinx-tabs

=== debian/changelog ===
python-bytecode (0.17.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 08 Sep 2025 08:34:30 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
                python3-sphinx-tabs <!nodoc>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/MatthieuDartiailh/bytecode
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-bytecode.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-bytecode

=== debian/tests/control ===
Tests: pytest
Depends: python3-all,
         python3-pytest,
         @
Restrictions: allow-stderr
